This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 641845 - 'Inventory Summary' reports links are broken
'Inventory Summary' reports links are broken
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-11 05:39 EDT by Rajan Timaniya
Modified: 2011-05-23 21:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2010-10-11 05:39:24 EDT
Description of problem:
'Inventory Summary' reports links are broken. On click of report link, it shows white page.

Version-Release number of selected component (if applicable):
Hudson build #394
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/394/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server and agent
2) Log-in to RHQ
3) Navigate 'Reports'
4) Click on 'Inventory' -> 'Inventory Summary'
5) Click on 'Inventory Summary' reports link – 'RHQ Agent', 'Linux', etc...
  
Actual results:
'Inventory Summary' reports links are broken. On click of report link, it shows white page.

Expected results:
'Inventory Summary' reports links should work.

Additional info:
Comment 1 Jay Shaughnessy 2011-02-15 11:52:58 EST
This is still a JSF IFrame so we can't do as much as we'd like.  But, the links are now active and will bring you to the Inventory resources, filtered by category. Ideally after conversion it would filter down to just the desired resource types.  For now the user will be able to filter further using the search bar.
Comment 2 Corey Welton 2011-03-02 16:42:58 EST
Verified.
Comment 3 Corey Welton 2011-05-23 21:10:51 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:10:53 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.